octave-parallel (4.0.2-1build1) oracular; urgency=medium

  * No-change rebuild against octave-abi-59

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 14 May 2024 09:50:59 +0000

octave-parallel (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2
  * d/copyright: Reflect upstream changes
  * Dropped patch (applied upstream):
    + d/p/honor-cflags-cppflags-cxxflags.patch
    + d/p/octave7.patch
    + d/p/fix-cleaning-rules.patch
    + d/p/octave8-part1.patch
    + d/p/octave8-part3.patch
  * d/p/octave8-part2.patch: Drop patch (no longer be needed with
    Octave ⩾ 8.3.0)
  * Patches refreshed for new upstream version
    + d/p/info-path.patch
    + d/p/include-iostream.patch
    + d/p/pserver-path.patch
    + d/p/xtest-pserver.patch
  * d/u/metadata:
    + Update Bug-Database URL
    + Add Repository, Changelog, and Documentation URLs

 -- Rafael Laboissière <rafael@debian.org>  Sat, 16 Sep 2023 16:40:28 -0300

octave-parallel (4.0.1-7) unstable; urgency=medium

  [ Sébastien Villemot ]
  * octave8-part{1,2}.patch: new patches, fix FTBFS against Octave 8
    (Closes: #1040130)

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/control: Update Homepage URL
  * d/copyright: Update Source URL

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 02 Jul 2023 15:17:12 +0200

octave-parallel (4.0.1-6) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 10:46:13 -0300

octave-parallel (4.0.1-5) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * Fix cleaning rules
    + d/control: Build-depend on dh-octave (<= 1.2.3)
    + d/p/fix-cleaning-rules.patch: New patch
    + d/clean, d/source/options: Adjust for the new situation
  * d/copyright: Update copyright years of debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Thu, 14 Jul 2022 13:07:16 -0300

octave-parallel (4.0.1-4) unstable; urgency=medium

  * octave7.patch: new patch, fixes autopkgtest against Octave 7

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 25 Apr 2022 15:35:46 +0200

octave-parallel (4.0.1-3) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * d/p/honor-cflags-cppflags-cxxflags.patch: New patch
  * d/p/pserver-path.patch: Fix line number in hunk
  * d/p/xtest-pserver.patch: Fix line number in hunk

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Nov 2021 16:19:44 -0300

octave-parallel (4.0.1-2) unstable; urgency=medium

  * Upload to unstable
  * Improve handling of autoreconf
    + d/autoreconf: New file (indicate src dir for dh_autoreconf)
    + d/rules: Drop rule for target override_dh_autoreconf
  * d/rules: Use targets execute_after_dh_* instead of override_dh_*

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Aug 2021 03:35:35 -0300

octave-parallel (4.0.1-1) experimental; urgency=medium

  * New upstream version 4.0.1
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/p/spelling-fixes.patch: Drop patch (applied upstream)
  * Set "Forwarded: not-needed" for the following patches:
    + d/p/info-dircategory-and-direntry.patch
    + d/p/info-path.patch
    + d/p/pserver-path.patch
    + d/p/xseealso-texi2pdf.patch
    + d/p/xtest-pserver.patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Mar 2021 06:34:14 -0300

octave-parallel (4.0.0-2) unstable; urgency=medium

  * d/control: Bump debhelper compatibitlity level to 13
  * d/u/metadata: Drop Name and Contact fields

 -- Rafael Laboissière <rafael@debian.org>  Mon, 25 May 2020 05:32:33 -0300

octave-parallel (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * d/copyright: Reflect upstream changes
  * d/p/include-iostream.patch: Refresh for new upstream version
  * d/p/fix-namespaces.patch: Drop patch (applied upstream)
  * New patches:
    + d/p/xseealso-texi2pdf.patch
    + d/p/spelling-fixes.patch
    + d/p/xtest-pserver.patch
    + d/p/pserver-path.patch
  * d/rules: Install octave-pserver in /usr/libexec
  * d/clean: Extend list of files to remove
  * d/s/options: Extend list of files to ignore
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Sun, 26 Apr 2020 17:33:41 -0300

octave-parallel (3.1.3-4) unstable; urgency=medium

  * d/control: Bump dependency on dh-octave to >= 0.7.1
    This allows the injection of the virtual package octave-abi-N into
    the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 07 Nov 2019 18:55:04 -0300

octave-parallel (3.1.3-3) unstable; urgency=medium

  * d/copyright: Fix license name for the AppStream file
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)
  * d/p/include-iostream.patch: New patch
  * d/rules: Autoreconfigure files in src directory
  * d/p/fix-namespaces.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 05 Oct 2019 17:15:22 -0300

octave-parallel (3.1.3-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:19 -0200

octave-parallel (3.1.3-1) unstable; urgency=medium

  * New upstream version 3.1.3
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.0

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 21 Aug 2018 13:35:13 -0300

octave-parallel (3.1.2-2) unstable; urgency=medium

  * Reintroduce documentation in HTML form

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 21 May 2018 09:44:22 -0300

octave-parallel (3.1.2-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * New upstream version 3.1.2
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)
  * Drop HTML form of documentation

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 20 May 2018 16:20:59 -0300

octave-parallel (3.1.1-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:37:19 -0200

octave-parallel (3.1.1-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:26 -0200

octave-parallel (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1
  * d/copyright: reflect upstream changes.
  * d/p/documentation-typos.patch: drop patch, applied upstream.
  * Bump to debhelper compat level 10.
  * d/changelog: fix typo in 3.1.0-2 entry.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 09 Oct 2016 09:51:56 +0200

octave-parallel (3.1.0-2) unstable; urgency=medium

  * d/check.m: Check the parcellfun function (Closes: 737756)
    This replaces the old, dysfunctional code for exercising the
    pserver function.  More unit tests will be hopefully added in
    the future.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 14 Aug 2016 06:41:39 -0300

octave-parallel (3.1.0-1) unstable; urgency=medium

  * Imported Upstream version 3.1.0
  * d/copyright : Reflect upstream changes
  * d/p/documentation-typos.patch: New patch
  * d/p/info-dircategory-and-direntry.patch: New patch
  * Install new upstream documentation
  * d/rules: Remove automatically generated files
  * d/control: Bump Standards-Version to 3.9.8 (no changes needed)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 14 May 2016 20:57:20 +0200

octave-parallel (3.0.4-1) unstable; urgency=medium

  * Imported Upstream version 3.0.4
  * d/control: Use secure URIs in the Vcs-* fields
  * d/control: Bump Standards-Version to 3.9.7 (no changes needed)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Thu, 17 Mar 2016 13:45:11 +0100

octave-parallel (3.0.3-1) unstable; urgency=medium

  * Imported Upstream version 3.0.3

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 02 Nov 2015 23:02:24 +0100

octave-parallel (3.0.2-1) unstable; urgency=medium

  * Imported Upstream version 3.0.2

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 12 Sep 2015 12:29:28 -0300

octave-parallel (3.0.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 3.0.0
  * d/copyright: reflect upstream changes.
  * Add build-dependency on libgnutls28-dev.
  * No longer ship README.{bw,parallel} which disappeared.
  * Add Rafael Laboissiere and Mike Miller to Uploaders.

  [ Rafael Laboissiere ]
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 18:46:57 +0200

octave-parallel (2.2.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Reintroduce the package: it is now a dependency of the latest upstream
    release of octave-optim.
  * Imported Upstream version 2.2.0
  * debian/copyright: reflect upstream changes.
  * build-with-g++-4.7.patch: drop patch, no longer needed.
  * autoload-yes.patch: new patch.
  * debian/control: use my @debian.org e-mail address.
  * Bump to Standards-Version 3.9.5, no changes needed.
  * Disable the testsuite for the time being, by renaming debian/check.m.
    At the end of the test, the server is not killed because the wrong PID is
    stored under /tmp/.octave-$HOSTNAME.pid.

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields
  * Remove obsolete DM-Upload-Allowed flag

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 05 Feb 2014 19:30:05 +0100

octave-parallel (2.0.5-3) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/check.m: Ensures that server process is killed
  * debian/watch: Use the SourceForge redirector
  * Fix FTBFS with g++ 4.7 (Closes: #667304)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Thu, 05 Apr 2012 17:18:00 +0200

octave-parallel (2.0.5-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.0.5
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.1, to build against Octave 3.6
  * Add Sébastien Villemot to the list of Uploaders
  * debian/copyright: update to machine-readable format 1.0
  * debian/check.m: Add file for unit testing
  * Bump to Standards-Version 3.9.3, no changes needed

 -- Thomas Weber <tweber@debian.org>  Mon, 26 Mar 2012 18:37:00 +0200

octave-parallel (2.0.5-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.1, no changes required

 -- Thomas Weber <tweber@debian.org>  Fri, 29 Apr 2011 22:56:48 +0200

octave-parallel (2.0.4-1) experimental; urgency=low

  * New upstream release

 -- Thomas Weber <tweber@debian.org>  Sat, 04 Sep 2010 00:42:12 +0200

octave-parallel (2.0.1-1) unstable; urgency=low

  * New upstream release
    + Drop patches fix___bw_prcv__ and fix_quitting_gracefully, applied
      upstream.
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571917)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Switch to dpkg-source 3.0 (quilt) format and drop quilt from build-depends
  * Standards-Version: Bump to 3.8.4 (no changes needed)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 25 Apr 2010 16:04:03 +0200

octave-parallel (2.0.0-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * Use octave-parallel.docs for documentation installation, following the
    change in octave-pkg-dev 0.7.1.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 31 Dec 2009 00:20:31 +0100

octave-parallel (2.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 18:52:24 +0200

octave-parallel (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 07 Apr 2009 19:09:50 +0200

octave-parallel (1.0.7-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 11 Dec 2008 16:33:08 +0000

octave-parallel (1.0.6-1) unstable; urgency=low

  * Initial release (closes: #468518)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 20 May 2008 22:32:26 +0200
